## slime 2.27+dfsg

=== debian/changelog ===
slime (2:2.27+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + slime: Drop versioned constraint on emacs in Recommends.
    + Remove 1 maintscript entries from 1 files.

  [ Sébastien Villemot ]
  * d/patches/implementations.patch: add abcl to the list of
    implementations packaged in Debian

  [ Sean Whitton ]
  * New upstream release.
  * Add myself to Uploaders.
  * Drop emacs28.patch.
    Applied upstream.
  * Refresh remaining patches.
  * wrap-and-sort -abst

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 06 Apr 2022 13:59:29 -0700

=== debian/control ===
Source: slime
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
Uploaders:
 Peter Van Eynde <pvaneynd@debian.org>,
 Milan Zamazal <pdm@debian.org>,
 Sébastien Villemot <sebastien@debian.org>,
 Sean Whitton <spwhitton@spwhitton.name>,
Build-Depends:
 debhelper (>= 12.8~),
 debhelper-compat (= 13),
 dh-elpa,
 texinfo,
 texlive,
 texlive-extra-utils,
 texlive-latex-extra,
 texlive-plain-generic,
Standards-Version: 4.5.1
Homepage: https://common-lisp.net/project/slime/
Vcs-Git: https://salsa.debian.org/common-lisp-team/slime.git
Vcs-Browser: https://salsa.debian.org/common-lisp-team/slime
Rules-Requires-Root: no

Package: cl-swank
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Enhances:
 slime (= ${source:Version}),
Description: Superior Lisp Interaction Mode for Emacs (Lisp-side server)
 SLIME is the Superior Lisp Interaction Mode for Emacs.
 .
 SLIME extends Emacs with support for interactive programming in Common Lisp.
 The features are centered around slime-mode, an Emacs minor-mode that
 complements the standard lisp-mode. While lisp-mode supports editing Lisp
 source files, slime-mode adds support for interacting with a running Common
 Lisp process for compilation, debugging, documentation lookup, and so on.
 .
 The slime-mode programming environment follows the example of Emacs’s native
 Emacs Lisp environment. It also includes good ideas from similar systems
 (such as ILISP) and some new ideas.
 .
 SLIME is compatible with the following free Common Lisp implementations:
 CMUCL, SBCL, CCL, CLISP, ECL, ABCL.
 .
 This package contains the Lisp-side server, needed by the Emacs client
 (see package slime).

Package: slime
Architecture: all
Depends:
 ${elpa:Depends},
 ${misc:Depends},
Recommends:
 cl-swank (= ${source:Version}),
 emacs,
 info | info-browser,
Suggests:
 hyperspec,
Description: Superior Lisp Interaction Mode for Emacs (client)
 SLIME is the Superior Lisp Interaction Mode for Emacs.
 .
 SLIME extends Emacs with support for interactive programming in Common Lisp.
 The features are centered around slime-mode, an Emacs minor-mode that
 complements the standard lisp-mode. While lisp-mode supports editing Lisp
 source files, slime-mode adds support for interacting with a running Common
 Lisp process for compilation, debugging, documentation lookup, and so on.
 .
 The slime-mode programming environment follows the example of Emacs’s native
 Emacs Lisp environment. It also includes good ideas from similar systems
 (such as ILISP) and some new ideas.
 .
 SLIME is compatible with the following free Common Lisp implementations:
 CMUCL, SBCL, CCL, CLISP, ECL, ABCL.
 .
 This package contains the Emacs client, that will connect to the
 Lisp-side server (see package cl-swank).

=== debian/rules ===
#!/usr/bin/make -f

%:

	dh $@ --with elpa

override_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C doc slime.ps slime.info slime.pdf slime-refcard.pdf html/index.html
endif

override_dh_auto_test:

override_dh_auto_clean:
	$(MAKE) doc-clean

execute_after_dh_install:
	# The file created below is used by swank-loader::slime-version-string,
	# as modified by paths.patch.
	grep '^;;\s*Version:' slime.el | sed 's/;;\s*Version:\s//' > debian/cl-swank/usr/share/common-lisp/source/slime/slime-version

execute_after_dh_elpa:
	# cl-lib.el is included in Emacs >= 24, so no need to ship it (see #767527).
	find debian/slime -name cl-lib.el -delete

override_dh_compress:
	dh_compress -Xpdf

=== debian/tests/control ===
# Run the testsuite on SBCL (see also testsuite.patch)

Test-Command: emacs -q --script debian/tests/runtests-sbcl.el
Depends:
 cl-swank,
 emacs-nox,
 sbcl,
 slime,
Restrictions: allow-stderr

# Try to load swank on ECL and CLISP

Test-Command: ecl -norc -shell debian/tests/runtests.lisp
Depends:
 cl-swank,
 ecl,
Restrictions: allow-stderr, superficial

Test-Command: clisp -norc debian/tests/runtests.lisp
Depends:
 cl-swank,
 clisp,
Restrictions: allow-stderr, superficial

## slime 2.28%2Bdfsg

=== debian/changelog ===
slime (2:2.28+dfsg-1) unstable; urgency=medium

  [ Sean Whitton ]
  * New upstream release.
  * Refresh patches.
  * Pass -j1 to make when building the docs.
  * Disable SBCL autopkgtest.
    slime-batch-test times out waiting for sbcl to be ready, and I haven't
    yet been able to determine why.

  [ Sébastien Villemot ]
  * Remove myself from Uploaders

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 31 Aug 2023 14:52:04 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders:
  Peter Van Eynde <pvaneynd@debian.org>,
  Milan Zamazal <pdm@debian.org>,
- Sébastien Villemot <sebastien@debian.org>,
  Sean Whitton <spwhitton@spwhitton.name>,
 Build-Depends:
  debhelper (>= 12.8~),

## slime 2.28+dfsg

=== Makefile ===
### Makefile for SLIME
#
# This file is in the public domain.

# Variables
#
EMACS=emacs
LISP=sbcl

LOAD_PATH=-L .

ELFILES := slime.el slime-autoloads.el slime-tests.el $(wildcard lib/*.el)
ELCFILES := $(ELFILES:.el=.elc)

default: compile contrib-compile

all: compile

help:
	@printf "\
Main targets\n\
all        -- see compile\n\
compile    -- compile .el files\n\
check      -- run tests in batch mode\n\
clean      -- delete generated files\n\
doc-help   -- print help about doc targets\n\
help-vars  -- print info about variables\n\
help       -- print this message\n"

help-vars:
	@printf "\
Main make variables:\n\
EMACS     -- program to start Emacs ($(EMACS))\n\
LISP      -- program to start Lisp ($(LISP))\n\
SELECTOR  -- selector for ERT tests ($(SELECTOR))\n"

# Compilation
#
slime.elc: slime.el lib/hyperspec.elc

%.elc: %.el
	$(EMACS) -Q $(LOAD_PATH) --batch -f batch-byte-compile $<

compile: $(ELCFILES)

# Automated tests
#
SELECTOR=t

check: compile
	$(EMACS) -Q --batch $(LOAD_PATH)				\
		--eval "(require 'slime-tests)"				\
		--eval "(slime-setup)"					\
		--eval "(setq inferior-lisp-program \"$(LISP)\")"	\
		--eval '(slime-batch-test (quote $(SELECTOR)))'

# run tests interactively
#
# FIXME: Not terribly useful until bugs in ert-run-tests-interactively
# are fixed.
test: compile
	$(EMACS) -Q -nw $(LOAD_PATH)					\
		--eval "(require 'slime-tests)"				\
		--eval "(slime-setup)"					\
		--eval "(setq inferior-lisp-program \"$(LISP)\")"	\
		--eval '(slime-batch-test (quote $(SELECTOR)))'

compile-swank:
	echo '(load "swank-loader.lisp")' '(swank-loader:init :setup nil)' \
	| $(LISP)

run-swank:
	{ echo \
	'(load "swank-loader.lisp")' \
	'(swank-loader:init)' \
	'(swank:create-server)' \
	&& cat; } \
	| $(LISP)

elpa-slime:
	echo "Not implemented yet: elpa-slime target" && exit 255

elpa: elpa-slime contrib-elpa

# Cleanup
#
FASLREGEX = .*\.\(fasl\|ufasl\|sse2f\|lx32fsl\|abcl\|fas\|lib\|trace\)$$

clean-fasls:
	find . -regex '$(FASLREGEX)' -exec rm -v {} \;
	[ ! -d ~/.slime/fasl ] || rm -rf ~/.slime/fasl

clean: clean-fasls
	find . -iname '*.elc' -exec rm {} \;


# Contrib stuff. Should probably also go to contrib/
#
MAKECONTRIB=$(MAKE) -C contrib EMACS="$(EMACS)" LISP="$(LISP)"
contrib-check-% check-%:
	$(MAKECONTRIB) $(@:contrib-%=%)
contrib-elpa:
	$(MAKECONTRIB) elpa-all
contrib-compile:
	$(MAKECONTRIB) compile

# Doc
#
doc-%:
	$(MAKE) -C doc $(@:doc-%=%)
doc: doc-help

.PHONY: clean elpa compile check doc dist

=== debian/tests/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 # Run the testsuite on SBCL (see also testsuite.patch)
 
-Test-Command: emacs -q --script debian/tests/runtests-sbcl.el
-Depends:
- cl-swank,
- emacs-nox,
- sbcl,
- slime,
-Restrictions: allow-stderr
+# Since 2.28, slime-batch-test always times out waiting for sbcl to be ready.
+# Test-Command: emacs -q --script debian/tests/runtests-sbcl.el
+# Depends:
+#  cl-swank,
+#  emacs-nox,
+#  sbcl,
+#  slime,
+# Restrictions: allow-stderr
 
 # Try to load swank on ECL and CLISP

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%slime-$1.tar.gz%,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" \
    https://github.com/slime/slime/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## slime 2.30+dfsg

=== debian/changelog ===
slime (2:2.30+dfsg-4) unstable; urgency=medium

  * Bug fix: "slime-autoloads.el needs lexical-binding cookie", thanks to
    Sean Whitton (Closes: #1102423).

 -- David Bremner <bremner@debian.org>  Fri, 11 Apr 2025 19:55:14 -0300

slime (2:2.30+dfsg-3) unstable; urgency=medium

  [ Sean Whitton ]
  * Remove myself from Uploaders.
    David is taking over this one -- many thanks.

  [ David Bremner ]
  * Enable SBCL autopkgtests.
  * Disable CLISP autopkgtests. CLISP in Debian needs one or more active
    uploaders.

 -- David Bremner <bremner@debian.org>  Fri, 02 Aug 2024 08:17:16 -0300

slime (2:2.30+dfsg-2) unstable; urgency=medium

  * Rebuild against dh-elpa 2.1.5, thanks to spwhitton@spwhitton.name
    (Closes: #1077117)
  * Add myself to uploaders.

 -- David Bremner <bremner@debian.org>  Fri, 26 Jul 2024 16:30:54 +0900

slime (2:2.30+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 06 Jun 2024 21:17:15 +0800

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Peter Van Eynde <pvaneynd@debian.org>,
  Milan Zamazal <pdm@debian.org>,
- Sean Whitton <spwhitton@spwhitton.name>,
+ David Bremner <bremner@debian.org>
 Build-Depends:
  debhelper (>= 12.8~),
  debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 override_dh_auto_build:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) -C doc slime.ps slime.info slime.pdf slime-refcard.pdf html/index.html
+	$(MAKE) -j1 -C doc slime.ps slime.info slime.pdf slime-refcard.pdf html/index.html
 endif
 
 override_dh_auto_test:

## slime 20060618

=== doc/Makefile ===
# Where to put the info file(s). NB: the GNU Coding Standards (GCS)
# and the Filesystem Hierarchy Standard (FHS) differ on where info
# files belong. The GCS says /usr/local/info; the FHS says
# /usr/local/share/info. Many distros obey the FHS, but people who
# installed their emacs from source probably have a GCS-ish file
# hierarchy.
infodir=/usr/local/info

# What command to use to install info file(s)
INSTALL_CMD=install -m 644

# Info files generated here.
infofiles=slime.info

all: slime.ps slime.info slime.pdf

install: install-info

uninstall: uninstall-info

slime.ps: slime.dvi
	dvips -o $@ $<

slime.dvi: slime.texi contributors.texi
	texi2dvi slime.texi

slime.pdf: slime.texi contributors.texi
	texi2pdf $<

slime.info: slime.texi contributors.texi
	makeinfo $<

# Create contributors.texi, a texinfo table listing all known
# contributors of code.
#
# Explicitly includes Eric Marsden (pre-ChangeLog hacker)
#
# The gist of this horror show is that the contributor list is piped
# into texinfo-tabulate.awk with one name per line, sorted
# alphabetically.
#
# Some special-case TeX-escaping of international characters.
contributors.texi: ../ChangeLog Makefile texinfo-tabulate.awk
	cat ../ChangeLog | \
	sed -ne '/^[0-9]/{s/^[^ ]* *//; s/ *<.*//; p;}' | \
	sort | \
	uniq -c | \
	sort -nr| \
	sed -e 's/^[^A-Z]*//' | \
	awk -f texinfo-tabulate.awk | \
	sed -e "s/\o341/@'a/g" | \
        sed -e "s/\o355/@'{@dotless{i}}/g" | \
	sed -e "s/\o351/@'e/g" | \
	sed -e "s/\o361/@~n/g" | \
	sed -e 's/\o370/@o{}/g' \
	> $@

#.INTERMEDIATE: contributors.texi

# Debian's install-info wants a --section argument.
section := $(shell grep INFO-DIR-SECTION $(infofiles) | sed 's/INFO-DIR-SECTION //')
install-info: slime.info
	mkdir -p $(infodir)
	$(INSTALL_CMD) $(infofiles) $(infodir)/$(infofiles)
	@if (install-info --version && \
		install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
		echo "install-info --info-dir=$(infodir) $(infodir)/$(infofiles)";\
		install-info --info-dir="$(infodir)" "$(infodir)/$(infofiles)" || :;\
	else \
		echo "install-info --infodir=$(infodir) --section $(section) $(section) $(infodir)/$(infofiles)" && \
		install-info --infodir="$(infodir)" --section $(section) ${section} "$(infodir)/$(infofiles)" || :; fi

uninstall-info:
	@if (install-info --version && \
		install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
		echo "install-info --info-dir=$(infodir) --remove $(infodir)/$(infofiles)";\
		install-info --info-dir="$(infodir)" --remove "$(infodir)/$(infofiles)" || :;\
	else \
		echo "install-info --infodir=$(infodir) --remove $(infodir)/$(infofiles)";\
		install-info --infodir="$(infodir)" --remove "$(infodir)/$(infofiles)" || :; fi
	rm -f $(infodir)/$(infofiles)

clean:
	rm -f contributors.texi
	rm -f slime.aux
	rm -f slime.cp
	rm -f slime.dvi
	rm -f slime.fn
	rm -f slime.ky
	rm -f slime.log
	rm -f slime.pg
	rm -f slime.tmp
	rm -f slime.toc
	rm -f slime.tp
	rm -f slime.vr

really_clean: clean
	rm -f slime.info
	rm -f slime.pdf
	rm -f slime.ps

## slime 20070409

=== doc/Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+# This file has been placed in the public domain.
+#
 # Where to put the info file(s). NB: the GNU Coding Standards (GCS)
 # and the Filesystem Hierarchy Standard (FHS) differ on where info
 # files belong. The GCS says /usr/local/info; the FHS says
@@ -12,23 +14,28 @@
 # Info files generated here.
 infofiles=slime.info
 
-all: slime.ps slime.info slime.pdf
+TEXI = slime.texi contributors.texi
+
+all: slime.ps slime.info slime.html slime.pdf
+
+slime.dvi: $(TEXI)
+	texi2dvi slime.texi
+
+slime.ps: slime.dvi
+	dvips -o $@ $<
+
+slime.info: $(TEXI)
+	makeinfo $<
+
+slime.html: $(TEXI)
+	texi2html $<
+
+slime.pdf: $(TEXI)
+	texi2pdf $<
 
 install: install-info
 
 uninstall: uninstall-info
-
-slime.ps: slime.dvi
-	dvips -o $@ $<
-
-slime.dvi: slime.texi contributors.texi
-	texi2dvi slime.texi
-
-slime.pdf: slime.texi contributors.texi
-	texi2pdf $<
-
-slime.info: slime.texi contributors.texi
-	makeinfo $<
 
 # Create contributors.texi, a texinfo table listing all known
 # contributors of code.
@@ -98,3 +105,4 @@
 	rm -f slime.info
 	rm -f slime.pdf
 	rm -f slime.ps
+	rm -f slime.html

## slime 20080223.dfsg

=== doc/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 TEXI = slime.texi contributors.texi
 
-all: slime.ps slime.info slime.html slime.pdf
+all: slime.info slime.pdf html/index.html
 
 slime.dvi: $(TEXI)
 	texi2dvi slime.texi
@@ -29,6 +29,9 @@
 
 slime.html: $(TEXI)
 	texi2html $<
+
+html/index.html: $(TEXI)
+	makeinfo -o html --html $<
 
 slime.pdf: $(TEXI)
 	texi2pdf $<
@@ -89,20 +92,6 @@
 
 clean:
 	rm -f contributors.texi
-	rm -f slime.aux
-	rm -f slime.cp
-	rm -f slime.dvi
-	rm -f slime.fn
-	rm -f slime.ky
-	rm -f slime.log
-	rm -f slime.pg
-	rm -f slime.tmp
-	rm -f slime.toc
-	rm -f slime.tp
-	rm -f slime.vr
-
-really_clean: clean
-	rm -f slime.info
-	rm -f slime.pdf
-	rm -f slime.ps
-	rm -f slime.html
+	rm -f slime.{aux,cp,cps,fn,fns,ky,kys,log,pg,tmp,toc,tp,vr,vrs}
+	rm -f slime.{info,pdf,dvi,ps,html}
+	rm -rf html

## slime 20090616

=== doc/Makefile ===
--- 
+++ 
@@ -32,6 +32,9 @@
 
 html/index.html: $(TEXI)
 	makeinfo -o html --html $<
+
+html.tgz: html/index.html
+	tar -czf $@ html
 
 slime.pdf: $(TEXI)
 	texi2pdf $<
@@ -94,4 +97,4 @@
 	rm -f contributors.texi
 	rm -f slime.{aux,cp,cps,fn,fns,ky,kys,log,pg,tmp,toc,tp,vr,vrs}
 	rm -f slime.{info,pdf,dvi,ps,html}
-	rm -rf html
+	rm -rf html{,.tgz}

## slime 20090908

=== doc/Makefile ===
--- 
+++ 
@@ -95,6 +95,8 @@
 
 clean:
 	rm -f contributors.texi
-	rm -f slime.{aux,cp,cps,fn,fns,ky,kys,log,pg,tmp,toc,tp,vr,vrs}
-	rm -f slime.{info,pdf,dvi,ps,html}
-	rm -rf html{,.tgz}
+	rm -f slime.aux slime.cp slime.cps slime.fn slime.fns slime.ky
+	rm -f slime.kys slime.log slime.pg slime.tmp slime.toc slime.tp
+	rm -f slime.vr slime.vrs
+	rm -f slime.info slime.pdf slime.dvi slime.ps slime.html
+	rm -rf html html.tgz

## slime 20100605

=== debian/control ===
Source: slime
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Luca Capello <luca@pca.it>, Milan Zamazal <pdm@debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: dh-lisp, texlive-generic-recommended, texlive-extra-utils, texlive, texinfo, texlive-latex-extra
Standards-Version: 3.8.4
Homepage: http://common-lisp.net/project/slime/
Vcs-Git: http://git.debian.org/git/pkg-common-lisp/slime.git
Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/slime.git;a=summary

Package: slime
Architecture: all
Depends: emacsen-common, ${misc:Depends}
Recommends: cl-swank (= ${source:Version}), info | info-browser, emacs23 | emacs22 | emacs-snapshot | xemacs21
Description: Superior LISP Interaction Mode for Emacs
 SLIME is the Superior Lisp Interaction Mode for Emacs.
 .
 This is an ILISP-like development environment intended for maximum
 integration with CMUCL (also works with SBCL, OpenMCL and work is
 ongoing on Lispworks and current CVS version of CLISP and CLISP 2.32
 on Linux).
 .
 This package contains the Emacs client, that will connect to the
 Lisp-side server (see package cl-swank).
 .
 To connect to Common Lisp implementations not running in Debian
 you need the latest CVS version of slime, NOT the old slime
 'release' version 1.2.1 or older.

Package: cl-swank
Architecture: all
Depends: cl-asdf (>= 2:1.627), ${misc:Depends}
Suggests: slime
Replaces: slime (<< 1:20050929-1)
Conflicts: slime (<< 1:20050929-1)
Description: Superior LISP Interaction Mode for Emacs (Lisp-side server)
 SLIME is the Superior Lisp Interaction Mode for Emacs.
 .
 This is an ILISP-like development environment intended for maximum
 integration with CMUCL (also works with SBCL, OpenMCL and work is
 ongoing on Lispworks and current CVS version of CLISP and CLISP 2.32
 on Linux).
 .
 This package contains the Lisp-side server, needed by the Emacs client
 (see package slime).

## slime 20100722

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Luca Capello <luca@pca.it>, Milan Zamazal <pdm@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: dh-lisp, texlive-generic-recommended, texlive-extra-utils, texlive, texinfo, texlive-latex-extra
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Homepage: http://common-lisp.net/project/slime/
 Vcs-Git: http://git.debian.org/git/pkg-common-lisp/slime.git
 Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/slime.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
# Add here commands to configure the package.
	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
# Add here commands to compile the package.
	cd doc; $(MAKE) slime.ps slime.info slime.pdf slime-refcard.pdf
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
# Add here commands to clean up after the build process.
## no 'clean' target in docs/Makefile
	cd doc; $(MAKE) clean
## remove, also, doc/*.pdf - to prevent any errors from dpkg-source
## about binary-file contents that differ
	dh_clean doc/slime.pdf

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
# Add here commands to install the package into debian/tmp
#	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
##
## we handle this with dh_install ; see slime.install
##


# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.



# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	sh -c 'if [ -f xref.lisp ] ; then echo "xref.lisp detected... committing seppuku for the greater good" ; exit 1 ; fi'
	dh_installchangelogs ChangeLog 
	dh_installdocs 
	dh_installexamples
	dh_install
	cp debian/overrides.slime debian/slime/usr/share/lintian/overrides/slime
	cp debian/overrides.cl-swank debian/cl-swank/usr/share/lintian/overrides/cl-swank
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installinfo doc/slime.info
#	dh_installman
	dh_link
	dh_strip
## note : the -Xchangelog is needed, due to the use of the "Changelog"
## file-name and the variable 'slime-path', in the function
## `slime-changelog-date', in slime.el - also note the postinst.
	dh_compress -Xpdf -Xchangelog
	gzip -9 debian/slime/usr/share/doc/slime/changelog.Debian
	gzip -9 debian/cl-swank/usr/share/doc/cl-swank/changelog.Debian
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_lisp
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## slime 20111027

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: lisp
 Priority: optional
 Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
-Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Luca Capello <luca@pca.it>, Milan Zamazal <pdm@debian.org>
+Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Milan Zamazal <pdm@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: dh-lisp, texlive-generic-recommended, texlive-extra-utils, texlive, texinfo, texlive-latex-extra
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Homepage: http://common-lisp.net/project/slime/
 Vcs-Git: http://git.debian.org/git/pkg-common-lisp/slime.git
 Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/slime.git;a=summary

## slime 20120525

=== doc/Makefile ===
--- 
+++ 
@@ -35,6 +35,12 @@
 
 html.tgz: html/index.html
 	tar -czf $@ html
+
+DOCDIR=/project/slime/public_html/doc
+# invoke this like: make CLUSER=heller publish
+publish: html.tgz
+	scp html.tgz $(CLUSER)@common-lisp.net:$(DOCDIR)
+	ssh $(CLUSER)@common-lisp.net "cd $(DOCDIR); tar -zxf html.tgz"
 
 slime.pdf: $(TEXI)
 	texi2pdf $<

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Milan Zamazal <pdm@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: dh-lisp, texlive-generic-recommended, texlive-extra-utils, texlive, texinfo, texlive-latex-extra
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://common-lisp.net/project/slime/
 Vcs-Git: http://git.debian.org/git/pkg-common-lisp/slime.git
 Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/slime.git;a=summary

## slime 20130626

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: slime
 Architecture: all
 Depends: emacsen-common, ${misc:Depends}
-Recommends: cl-swank (= ${source:Version}), info | info-browser, emacs23 | emacs22 | emacs-snapshot | xemacs21
+Recommends: cl-swank (= ${source:Version}), info | info-browser, emacs24 | emacs23 | emacs22 | emacs-snapshot | xemacs21
 Description: Superior LISP Interaction Mode for Emacs
  SLIME is the Superior Lisp Interaction Mode for Emacs.
  .

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,9 @@
 	touch configure-stamp
 
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure-stamp 
 	dh_testdir
 # Add here commands to compile the package.
